Package Details: zlib-ng-compat 2.1.6-1

Git Clone URL: https://aur.archlinux.org/zlib-ng-compat.git (read-only, click to copy)
Package Base: zlib-ng-compat
Description: zlib replacement with optimizations for 'next generation' systems (replaces zlib)
Upstream URL: https://github.com/zlib-ng/zlib-ng
Licenses: custom:zlib
Conflicts: zlib
Provides: libz.so, zlib
Submitter: Chocobo1
Maintainer: Chocobo1
Last Packager: Chocobo1
Votes: 2
Popularity: 0.000774
First Submitted: 2022-11-14 06:33 (UTC)
Last Updated: 2024-01-10 22:42 (UTC)

Dependencies (2)

Required by (3451)

Sources (1)

Latest Comments

Chocobo1 commented on 2023-11-28 05:45 (UTC)

The shasum for 2.1.5-1 is incorrect. It actually is "3f6576971397b379d4205ae5451ff5a68edf6c103b2f03c4188ed7075fbb5f04 zlib-ng-2.1.5.tar.gz"

Fixed. But I'm quite sure I got a valid hash the first time. I wonder something is going on at Github side... This is the second time I got this issue with another package.

sergoops commented on 2023-11-27 20:11 (UTC)

The shasum for 2.1.5-1 is incorrect. It actually is "3f6576971397b379d4205ae5451ff5a68edf6c103b2f03c4188ed7075fbb5f04 zlib-ng-2.1.5.tar.gz"

Chocobo1 commented on 2023-10-26 16:34 (UTC)

Not sure if I can leave it as is or should try to create lib32-zlib-ng-compat package to avoid any incompatibilities.

You should. (create lib32-zlib-ng-compat)

ufo_driver commented on 2023-10-25 18:16 (UTC) (edited on 2023-10-25 18:17 (UTC) by ufo_driver)

Following commit on lib32-zlib forbids installing this library: https://gitlab.archlinux.org/archlinux/packaging/packages/lib32-zlib/-/commit/b1a0afd1823b48a1a324fe39cffa00b4c464616d

I tried to change provides to 'zlib=1:1.3' and it worked - checked with system reboot and launched all my installed apps. Changelog of 2.1.4 release says it should be compatible. Not sure if I can leave it as is or should try to create lib32-zlib-ng-compat package to avoid any incompatibilities.

oech3 commented on 2023-10-22 09:47 (UTC)

Would you provide this package as symlinks to .so in zlib-ng in Extra repo instead of real .so files ?

Chocobo1 commented on 2022-12-07 17:50 (UTC)

This seems to provide the license under the wrong package name:

Thanks! fixed.

Score_Under commented on 2022-12-07 14:12 (UTC)

This seems to provide the license under the wrong package name:

error: failed to commit transaction (conflicting files)
zlib-ng-compat: /usr/share/licenses/zlib-ng/LICENSE.md exists in filesystem (owned by zlib-ng)
Errors occurred, no packages were upgraded.